Subject: Re: make
From: [email-masked] (Stephen Vance)

31 Aug 1998 21:09:19 -0700
Message-ID: <[email-masked]>
References: <001701bdd3bc$676f4620$f143fea9@kevin>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Kevin Watt <[email-masked]>
Cc: [email-masked]

Kevin Watt wrote:

>  Greetings, I just recently installed the cdk kit, and was hoping to
> use its make utility to build perl/tk 800.010.  But, anytime I use
> make makefile, i get a " makefile:632: *** missing separator.  Stop. "
> error, and it's quite frustrating!  I've tried changing the MAKE_MODE
> env var. to UNIX, but the problem still occurs.  I have tested this
> with many makefiles and I get the same problem, if on a different
> line.  An additional problem I get when creating the makefile for
> tk800 with perl makefile.pl, is it saying " Test Compiling
> config/signedchar.cBad command or file name Test Compiling
> config/Ksprintf.cBad command or file name "  is it looking for my gcc
> in the wrong place or something?  It seems to write all the
> dependancies ok and everything else. Thanks for the help,Kevin Watt

 This indicates that you have carriage returns in your makefile in
addition to line feeds.
I first encountered this with some included dependency makefiles that
were generated
automatically and filtered through various pipes and redirections.
Unfortunately, I
could not find a way to get around the inclusion of <CR> via a
redirection.  I suspect
it has to do with the bash binary v. text issues that have been
discussed in other threads.

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".